List Vector Load Jobs

Use the list vector load jobs operation to retrieve a list of all bulk load operations.

The operation returns metadata for all load jobs including their states and progress.

See the following for examples of how to implement list_vector_load_jobs:

from oracle_vecdb import OracleVecDB, Configuration

client = OracleVecDB(Configuration(
    rest_url="https://<host>/ords/<schema>/_/db-api/stable/vecdb/",
    # or username="<user>", password="<pass>"
    access_token="<bearer-token>",
))

load_jobs = client.list_vector_load_jobs()
print(load_jobs)

A JSON response is returned containing an array of load jobs with job names, owners, states, and timestamps.

Example response:

{
  "items": [
    {
      "job_name": "VECDB_LOAD_ABC123",
      "job_creator": "VECTOR3",
      "operation": "LOAD",
      "state": "SUCCEEDED",
      "links": [
        {
          "rel": "self",
          "href": "https://<host>/ords/<schema>/_/db-api/stable/vecdb/load/jobs/vecdb_load_abc123"
        },
        {
          "rel": "related",
          "href": "https://<host>/ords/<schema>/_/db-api/stable/vecdb/load/jobs/vecdb_load_abc123/jobfile"
        }
      ]
    }
  ],
  "count": 1
}

For more information about the list_vector_load_jobs operation, see Python API Reference.

See how GET /vecdb/load/jobs/ can be used in the following example:

curl -X GET \
  "https://<host>:<port>/ords/<schema>/_/db-api/stable/vecdb/load/jobs/" \
  -H "Accept: application/json" \
  # Choose ONE authentication method:

  # Option 1: Basic authentication
  -u "<user>:<password>"

  # Option 2: OAuth Bearer token
  # -H "Authorization: Bearer <access_token>"

Responses:

  • Example 200 response:
    {
      "count": 1,
      "hasMore": false,
      "items": [
        {
          "job_creator": "APPUSER",
          "job_name": "VECDB_LOAD_20260501110000",
          "job_type": "PLSQL_BLOCK",
          "operation": "LOAD",
          "state": "SUCCEEDED",
          "start_date": "2026-05-01T11:00:00.118886Z",
          "links": [
            {
              "href": "/vecdb/load/jobs/vecdb_load_20260501110000",
              "rel": "self"
            },
            {
              "href": "/vecdb/load/jobs/vecdb_load_20260501110000/jobfile",
              "rel": "related"
            }
          ]
        }
      ],
      "limit": 25,
      "offset": 0
    }

For more information, see REST API Reference.